/*----------------------------------------------------------------------*/
/*                                                                      */
/*      DATA TYPE DEFINEs                                               */
/*                                                           Norix      */
/*                                               written     2000/11/09 */
/*                                               last modify ----/--/-- */
/*----------------------------------------------------------------------*/
#ifndef	__TYPEDEF_INCLUDED__
#define	__TYPEDEF_INCLUDED__

typedef	int		BOOL;

typedef	unsigned char		BYTE;
typedef	unsigned short		WORD;
typedef	unsigned long		DWORD;
typedef	unsigned long long	QWORD;

typedef	unsigned char		UBYTE;
typedef	unsigned short		UWORD;
typedef	unsigned long		ULONG;
typedef	unsigned long		UDWORD;
typedef unsigned long long  UQWORD;

typedef	signed char			SBYTE;
typedef	signed short		SWORD;
typedef	signed long			SLONG;
typedef	signed long			SDWORD;
typedef	signed long	long	SQWORD;

typedef	signed int			INT;
typedef	unsigned int		UINT;
typedef	signed short		SHORT;
typedef	signed long			LONG;

typedef	BYTE		*LPBYTE;
typedef	WORD		*LPWORD;
typedef	DWORD		*LPDWORD;

typedef	SBYTE		*LPSBYTE;
typedef	SWORD		*LPSWORD;
typedef	SLONG		*LPSLONG;
typedef	SDWORD		*LPSDWORD;

typedef	UBYTE		*LPUBYTE;
typedef	UWORD		*LPUWORD;
typedef	ULONG		*LPULONG;
typedef	UDWORD		*LPUDWORD;

typedef	SHORT		*LPSHORT;
typedef	LONG		*LPLONG;

/* ---- from mmsystem.h winnt.h ---- */
#define	TRUE	1
#define	FALSE	0
typedef void 	*HANDLE;
typedef	char	CHAR;
typedef CHAR	*LPSTR;
typedef DWORD	FOURCC;
typedef HANDLE	HMMIO;

#if 0
typedef struct tWAVEFORMATEX {
	WORD	wFormatTag;
	WORD	nChannels;
	DWORD	nSamplesPerSec;
	DWORD	nAvgBytesPerSec;
	WORD	nBlockAlign;
	WORD	wBitsPerSample;
	WORD	cbSize;
} WAVEFORMATEX;

typedef struct _MMCKINFO {
	FOURCC	ckid;
	DWORD	cksize;
	FOURCC	fccType;
	DWORD	dwDataOffset;
	DWORD	dwFlags;
} MMCKINFO;

/* ---- need wavefile.cpp ---*/
#define MMIO_ALLOCBUF 0x10000
#define MMIO_READ 0
#define FOURCC_RIFF mmioFOURCC('R', 'I', 'F', 'F')
#define MMIO_FINDCHUNK 16
#define WAVE_FORMAT_PCM 1

typedef char *HPSTR;
typedef MMIOPROC *LPMMIOPROC;

typedef struct _MMIOINFO {
	DWORD dwFlags;
	FOURCC fccIOProc;
	LPMMIOPROC pIOProc;
	UINT wErrorRet;
	HTASK htask;
	LONG cchBuffer;
	HPSTR pchBuffer;
	HPSTR pchNext;
	HPSTR pchEndRead;
	HPSTR pchEndWrite;
	LONG lBufOffset;
	LONG lDiskOffset;
	DWORD adwInfo[3];
	DWORD dwReserved1;
	DWORD dwReserved2;
	HMMIO hmmio;
} MMIOINFO,*PMMIOINFO,*LPMMIOINFO;

typedef struct waveformat_tag {
	WORD wFormatTag;
	WORD nChannels;
	DWORD nSamplesPerSec;
	DWORD nAvgBytesPerSec;
	WORD nBlockAlign;
} WAVEFORMAT,*PWAVEFORMAT,*LPWAVEFORMAT;

typedef struct pcmwaveformat_tag {
	WAVEFORMAT wf;
	WORD wBitsPerSample;
} PCMWAVEFORMAT, *PPCMWAVEFORMAT,*LPPCMWAVEFORMAT;
#endif

#endif
