#!/bin/sh

declare -i num
num=1

if  [ $# -eq 0 ]
then 
	echo usage nsfren filenames...
	exit
fi

echo "" > nsfren.log
for fnam in $*
do
	./nsftag $fnam >> nsfren.log
	./nsftag  -t"Entry No. ${num}" -a"noname" -c"copyright" -w $fnam
	printf "entry%03d.nsf" $num | xargs mv $fnam

    printf "entry%03d.nsf  was $fnam" $num
	echo
	printf "entry%03d.nsf  was $fnam" $num >> nsfren.log
	echo >> nsfren.log
	num=num+1
done


